package mocksms

import (
	"context"
	"fmt"
)

type MockSMS struct {
}

func NewMockSMS() *MockSMS {
	return &MockSMS{}
}
func (m *MockSMS) SendSMSOTP(ctx context.Context, phoneNumber, otp string) error {
	fmt.Println("MockSMS: Sending OTP to", phoneNumber, "with OTP:", otp)
	return nil
}

// func (m *MockSms){}
